# Interface Iterable<T>

GoJS® Diagramming Components
version 3.0.7
by Northwoods Software®

#### Hierarchy

- Iterable
  - Iterator

This interface is implemented by the List, Set, and Map classes; it provides the iterator read-only property that returns an Iterator.

Typical usage is:

    const it = anIterableCollection.iterator;
    while (it.next()) {
      const item = it.value;
    }

#### Type Parameters

- #### T

#### Implemented by

- List
- Set

#####
Index

### Methods

[iterator]
first

### Properties

count
iterator

## Methods

### [iterator]

- [iterator](): IterableIterator<T>

- #### Returns IterableIterator<T>

### first

- first(): T

- Returns the first item in the list, or null if there is none.

  #### Returns T

  This returns null if there are no items in the list.

## Properties

### `Readonly` count
: number

This read-only property is the number of elements in the collection.

### iterator
: Iterator<T>

Gets an Iterator that can iterate over the items in the collection.

Typical usage is:

     const it = anIterableCollection.iterator;
     while (it.next()) {
       const item = it.value;
     }

Copyright © 1998-2024 by Northwoods Software Corporation.